import java.awt.*;
import javax.swing.*;
import java.awt.geom.*;

public class TranslationWithTransform extends JComponent {
  Shape shape;
  public TranslationWithTransform() {
    shape = create();
  }
private Shape create() {
    float num = 100 / 2.00f;
    return new Ellipse2D.Float(num, num, 3 * num, num);
  }
  public void paint(Graphics g) {
    Graphics2D g2d = (Graphics2D) g;
    AffineTransform affineTransform = AffineTransform.getTranslateInstance(100, 100);
    g2d.transform(affineTransform);
    g2d.setPaint(Color.red);
    g2d.draw(shape);
    g2d.transform(AffineTransform.getTranslateInstance(200, 0));
    Stroke stroke = new BasicStroke(1, BasicStroke.CAP_BUTT,
        BasicStroke.JOIN_BEVEL, 0, new float[] { 2, 1 }, 0);
    g2d.setStroke(stroke);
    g2d.draw(shape);
  }
  public static void main(String[]args) {
    JFrame frame = new JFrame("Shows Translation");
    frame.getContentPane().add(new TranslationWithTransform());
    frame.setSize(520, 250);
    frame.setVisible(true);
  }
}
